**`Venkateshwar Rao.N `[NAME]**-NL- Mail Id : **`venkatnattuva9@gmail.com`[EMAILS_EMAIL]** -NL- Cell: **`+91-8125453961`[PHONES_PHONE]** -NL- **`Objective`[SUMMARY_HEADING]** -NL- To be associated with a progressive company that promises excitement and continuous learning in the -NL- workplace. -NL- **`Professional Summary:-`[SUMMARY_HEADING]** -NL-  Experienced as an application integration developer Mule ESB -NL-  4+years of IT experience that covers in depth understanding and exposure to requirement -NL- gathering, analysis, design, development, implementation and deployment of various -NL- Integration projects. -NL-  2+ years of implementation experience in Mule ESB over Anypoint Studio. -NL-  Experience in Mule Soft AnyPoint API platform on designing and implementing Mule APIs. -NL-  Worked on Mule (Connectors JMS, File, VM, Sales Force, DB, Web service, FTP, SFTP), -NL- Transformers and Data weave for integrating various applications which are on-premises and -NL- hosted on cloud using synchronous and asynchronous Muleflows. -NL-  Hands on experience in Mule Expression Language (MEL) to access payload data, properties and -NL- variables of Mule Message Flow. -NL-  Expertise in web frameworks - LAMP, Sencha ExtJs, Ext4yii, Apache Struts. -NL-  Experience in writing MUNIT test cases by Mocking and running the test suites and test coverage. -NL-  Having good working knowledge on Maven configurations. -NL-  Extensively worked on both Enterprise and Community editions of MULE ESB. Have an experience -NL- working on MULE API manager and RAML. -NL-  Worked in production environment resolving production issues with less resolution time. -NL-  Strong debugging and problem-solving skills with excellent understanding of system integration -NL- methodologies, techniques and tools. -NL-  Hands-on experience with open source tool GitHub. -NL-  Worked in agile methodology. -NL- **`Academic Profile:-`[EDUCATION_HEADING]** -NL-  **`M.Sc`[EDUCATION_DEGREE]** (**`Computer Science`[EDUCATION_COURSE]**) **`Nagarjuna University`[EDUCATION_INSTITUTE]**, Guntur, A.P. -NL-  **`B.Sc`[EDUCATION_DEGREE]** (**`Computers`[EDUCATION_COURSE]**) from **`Nagarjuna University`[EDUCATION_INSTITUTE]**, Guntur, A.P. -NL- **`Skill Set`[SKILLS_HEADING]** -NL-  Operating Systems : Windows XP/7,Windows server 2010, Ubuntu -NL-  Java Technologies : JAVA, JSP, Servlets, JDBC. -NL-  Languages : Mule Expression Language (MEL), Data Weave, RAML, -NL- WSDL,PHP -NL-  IDE -NL- : Anypoint Studio -NL-  Middleware Technologies : Enterprise Service Bus (ESB), SOAP, XML, JSON -NL-  Databases : Oracle -NL-  Project Management Tool : JIRA, Maven -NL-  DevOps CI/CD : GitHub -NL-  Web Server : SOAP, RESTFUL and Apache HTTP Server 2.2 -NL-  Scripting : JavaScript,Extjs -NL- **`Work Experience:-`[WORK_EXPERIENCE_HEADING]** -NL-  Working as a **`Mulesoft Developer`[EMPLOYER_ROLE]** in **`YBR Infotechs Pvt Ltd`[EMPLOYER_COMPANY_NAME]** since Feb 2017 to till date. -NL-  Worked as a **`Software Engineer`[EMPLOYER_ROLE]** in **`Cynosure Software Solutions Pvt Ltd`[EMPLOYER_COMPANY_NAME]** from Jan 2013 to -NL- Jan 2017. -NL- **`Organization:`[WORK_EXPERIENCE_HEADING]** -NL- **`Dunia Finance`[PROJECT_COMPANY_NAME]** -NL- Client : **`Dunia Finance`[PROJECT_COMPANY_NAME]** -NL- Role : MuleSoft Developer -NL- Duration : Feb 2019 – Till date -NL- Skill : MuleSoft, MuleESB, Anypoint Studio, Mule Integration -NL- Team Size : 6 -NL- Description: -NL- Client provides the Financial and Credit card services to its customers. **`Dunia Finance`[PROJECT_COMPANY_NAME]** integrates with NI -NL- organization and also provides its services through Mobile Applications and also web portal. To integrate -NL- all these services Mule ESB is used as Integration Platform. We interact with multiple databases and web -NL- services to fetch the information and provide all these info to the end users. All the API’s are deployed -NL- on Cloud Hub. -NL- Roles and Responsibilities: -NL-  Responsible for the analysis, design, implementation and deployment of full software development life -NL- cycle (SDLC) of MuleSoft -NL-  Designed and developed the processflow using various connectors that needs transformation mapping -NL- using Mule Soft. -NL-  Involved in creating http inbound & outboundflows and orchestration using XPath using MULE ESB. -NL-  Design&code Muleflows for asynchronous messaging, data transformation, routing and batch -NL- processing. -NL-  Mapped data from CSV to XML and vice-versa using Dataweave and Datamapper and responsible for -NL- API designing using REST and SOAP services. -NL-  Coordinated in all testing phases and worked closely with Performance testing team to create a -NL- baseline for the new application. -NL-  Experience in writing transformations with DataWeave. -NL-  Experienced in Rest Web Service development for both Xml and JSON datatypes using Advanced Rest -NL- Client. -NL- **`Organization:`[WORK_EXPERIENCE_HEADING]** -NL- E-Pragathi (e-Highway) -NL- Client : **`Government Of Andhra Pradesh`[PROJECT_COMPANY_NAME]** -NL- Role : MuleSoft Developer -NL- Duration : March 2018 – Jan 2019 -NL- Skill : MuleSoft, MuleESB, Anypoint Studio, Mule Integration -NL- Team Size : 6 -NL- Description: -NL- e-Highway is an Integration Layer which mainly deals with Customer Data, where this project supports -NL- multiple Customers -NL- to interact with different Backend applications. Fetching data and performing Transformations according to -NL- the consumers, -NL- where multiple data restrictions are in place. Where customers can register and view their data and -NL- subscribe to the APi’s -NL- which are exposed by the Departments and use the services. -NL- Roles and Responsibilities: -NL-  Responsible for the analysis, design, implementation and deployment of full software development life -NL- cycle (SDLC) of MuleSoft -NL-  Designed and developed the processflow using various connectors that needs transformation mapping -NL- using Mule Soft. -NL-  Involved in creating http inbound & outboundflows and orchestration using XPath using MULE ESB. -NL-  Design&code Muleflows for asynchronous messaging, data transformation, routing and batch -NL- processing. -NL-  Mapped data from CSV to XML and vice-versa using Dataweave and Datamapper and responsible for -NL- API designing using REST and SOAP services. -NL-  Coordinated in all testing phases and worked closely with Performance testing team to create a -NL- baseline for the new application. -NL-  Experience in writing transformations with DataWeave. -NL-  Experienced in Rest Web Service development for both Xml and JSON datatypes using Advanced Rest -NL- Client. -NL- **`Organization:`[WORK_EXPERIENCE_HEADING]** -NL- **`Liquid Hub India Private Limited`[PROJECT_COMPANY_NAME]** -NL- Client : Amgen -NL- Role : MuleSoft Developer -NL- Duration : Aug 2018 – Feb 2019 -NL- Skill : MuleSoft, MuleESB, Anypoint Studio, MuleIntegration -NL- Team Size : 4 -NL- Description: -NL- Amgen is an American multinational biopharmaceutical company headquartered in Thousand Oaks, -NL- California in 2013. Amgen is launched a new medicine Aimovig into the market for Migriane Patients. -NL- Aimovig is the only FDA-approved treatment specifically developed to prevent migraine by blocking the -NL- calcitonin gene related peptide receptor (CGRP-R), which is believed to play a critical role in migraine. -NL- More than 3,000 patients have participated in our overall clinical trial program across the four placebo- -NL- controlled Phase II and Phase III clinical studies and their open-label extensions. -NL- Roles and Responsibilities: -NL-  Responsible for the analysis, design, implementation and deployment of full software development life -NL- cycle (SDLC) of MuleSoft -NL-  Designed and developed the processflow using various connectors that needs transformation mapping -NL- using Mule Soft. -NL-  Involved in creating http inbound & outboundflows and orchestration using XPath using MULE ESB. -NL-  Design&code Muleflows for asynchronous messaging, data transformation, routing and batch -NL- processing. -NL-  Mapped data from CSV to XML and vice-versa using Dataweave and Datamapper and responsible for -NL- API designing using REST and SOAP services. -NL-  Coordinated in all testing phases and worked closely with Performance testing team to create a -NL- baseline for the new application. -NL-  Experience in writing transformations with DataWeave. -NL-  Experienced in Rest Web Service development for both Xml and JSON datatypes using Advanced Rest -NL- Client. -NL- Organization: **`Sprint Corporation`[PROJECT_COMPANY_NAME]** -NL- Project : **`Product Catalog management `[PROJECT_TITLE]**-NL- Role : MuleSoft Developer -NL- Duration : June 2017 - Jul 2018 -NL- Skill : MuleSoft, MuleESB, Anypoitn Studio, MuleIntegration -NL- Team Size : 5 -NL- Description: -NL- **`Sprint Corporation`[PROJECT_COMPANY_NAME]** is an American telecommunications Company that provides wireless -NL- services and it is an internet service provider. Our project is an Order Processing System. Customer needs -NL- telephone and broadband services they will call the customer care and the customer care people place an -NL- order as a part of Order Processing System. From mule side the CMR application use the API’s that process -NL- the order .Once the order placed that order reached to the BPMS System via Mule ESB. -NL- Roles and Responsibilities: -NL-  Responsible for the analysis, design, implementation and deployment of full software development -NL- life cycle (SDLC) of MULE project using AGILE process. -NL-  Designed and developed the process flow using various connectors that needs transformation -NL- mapping using MULE ESB. -NL-  Involved in creating http inbound & outboundflows and orchestration using XPath using MULE ESB. -NL-  Design & code flows for asynchronous messaging, data transformation, routing and batch -NL- processing -NL-  Mapped data from CSV to XML and vice-versa using Dataweave and Datamapper and responsible -NL- for API designing using REST and SOAP services. -NL-  Coordinated in all testing phases and worked closely with Performance testing team to create a -NL- baseline for the new application. -NL-  Worked on MULE Upgrade path from 3.6 to 3.8. -NL-  Experienced in Rest Web Service development for both Xml and JSON datatypes using Advanced -NL- Rest Client. -NL- Organization: **`Skywyz Schools`[PROJECT_COMPANY_NAME]** -NL- Project : **`Skywyz School`[PROJECT_TITLE]**. -NL- URL : http://school1.dev.sapient-inc.com/index.php/auth/login. -NL- Role : Software Developer -NL- Duration : Sept 2016 – Jan 2017 -NL- Team Size : 5 -NL- Description: -NL- Skywyz Academy is an easy to use cloud software platform to manage schools and student success. The -NL- cloud architecture provides a scalable,flexible, secure platform that encompasses all aspects of school -NL- activities. **`Skywyz School`[PROJECT_TITLE]** is a comprehensive Information and Communication Technology (ICT), Student -NL- Analysis System. -NL- **`Skywyz School`[PROJECT_TITLE]** helps schools / Colleges in continuously updating parents about their child’s status and his -NL- performance at school/College over their mobile phones through text messages (SMS) and Web using a -NL- secure mechanism. Mobile phone and Web, as the most used and rapidly growing electronic -NL- communication media in the entire world with a wide availability, would enable the school/College to -NL- deliver messages to parents. -NL- **`Skywyz School`[PROJECT_TITLE]** is a comprehensive solution, to school / Colleges, which would help in capturing the -NL- necessary information and takes care of communicating the same to the parents end to end. The total -NL- process is completely automated and this software gives lot offlexibility to do whatever the school/College -NL- needs right from students admissions to attendance and performance analysis. -NL- Roles and Responsibilities: -NL-  Responsible for developing Admissions, Attendance, Payment Gateway,Sms. -NL-  Implementation of teacher records and student records and course manager, -NL- Time table, learning resources, progress reports, staff room. -NL-  Involved in understanding of requirements, design and development -NL- Of the project. -NL-  Generating certificates. -NL-  Customized Email functionality. -NL-  Implementation of code in MVC. -NL-  Involved in client side validations. -NL-  Saving the Question Papers in pdf, doc format. -NL- Organization: **`Sapient Systems`[PROJECT_COMPANY_NAME]** -NL- Project : **`skywyz`[PROJECT_TITLE]** -NL- URL : www.**`skywyz`[PROJECT_TITLE]**.com. -NL- Role : Software Developer -NL- Duration : Jan 2016 – Aug 2016 -NL- Team Size : 5 -NL- Description: -NL- SkyWyz is a online Questionnaire for Competitive Exams practicing. Where you can teach, practice and -NL- learn. In this tool public and premium categories are provided. Guest, Teacher, and Student logins are -NL- there. In this tool we personally provided email information. Teacher can add questions in video, audio, -NL- special symbols, images format. Latest technologies like import .csvfiles for adding questions. Ads are -NL- shown in the Guest login. Database back end we are using PostgresSQL. -NL- Roles and Responsibilities: -NL-  Responsible for developing widgets. -NL-  Involved in the designing Question Papers Online. -NL-  Saving the Question Papers in pdf,doc format . -NL-  Correcting the question paper and assigning the grades. -NL-  Involved in understanding of requirements, design and development -NL- of the project. -NL-  Generating certificates. -NL-  Customized Email functionality. -NL-  Adding the chitika ads to **`skywyz`[PROJECT_TITLE]**. -NL-  Involved in client side validations. -NL-  Implementation of code in MVC. -NL- Organization: **`Sapient Systems`[PROJECT_COMPANY_NAME]** -NL- Project : **`Expense Report`[PROJECT_TITLE]** -NL- URL : http://expense.dev.sapient-inc.com/index.php/auth/login -NL- Role : Software Developer -NL- Duration : Feb 2014 – Dec 2015 -NL- Team Size : 5 -NL- Description: -NL- When an employee submits an expense report for approval, the Expense report workflow process begins. -NL- The **`Expense Report`[PROJECT_TITLE]** workflow is used to obtain manager and Payables approvals on expense reports. The -NL- Manager Approval Process routes expense reports to managers for approval. When an expense report -NL- receives approval, the workflow transitions to the Approval Process. If a manager rejects the report, the -NL- workflow transitions to the Rejections Process. -NL- In this **`Expense Report`[PROJECT_TITLE]** we have three user Admin, Approval Managers and user. User has to submit his -NL- reports to Approval Managers. Once User Submitted the report he can’t make any modification for his -NL- report .We have three Approval Managers i.e Finance, Marketing, Director. These three Approval managers -NL- will check the status of user and send the reports to user. Whenever status is changed by the user or -NL- Approval Manager then email automatically send to user as well as Approval Managers. -NL- Roles and Responsibilities: -NL-  Responsible for developing widgets. -NL-  Involved in the designing charts with extjs. -NL-  Involved in client side validations. -NL-  Implementation of code in MVC. -NL-  Involved in understanding of requirements, design and development -NL- of the project. -NL- Organization: **`Sapient Systems`[PROJECT_COMPANY_NAME]** -NL- Project : **`Bug Tracking Tool`[PROJECT_TITLE]** -NL- URL : http://bugtracking.dev.sapient-inc.com/index.php/auth/login -NL- Role : Software Developer -NL- Duration : Sept 2013 – Jan 2014 -NL- Team Size : 5 -NL- Description: -NL- Bug tracking System is solution to track the bugs of a product, solutions or Application. Bug Tracking -NL- System allows individual or groups of developers to keep track of outstanding bugs in their product -NL- effectively. The Bug Tracking System can dramatically increases, the productivity and accountability of -NL- Individual employees by providing a documented workflow and positive feedback for good Performance. -NL- In Bug Tracking tool user can maintain any number of projects .By click on the project User can gets the -NL- information about Bugs status of Closed, Void, Rejected, New, More Info .And Once bug is created then we -NL- can assigned that bug and once bug isfixed then user will get email that user hadfixed that bug. -NL- Roles and Responsibilities: -NL-  Responsible for developing widgets. -NL-  Involved in the designing charts with extjs. -NL-  Involved in client side validations. -NL-  Implementation of code in MVC. -NL-  Involved in understanding of requirements, design and development -NL- of the project. -NL- Organization: **`Sapient Systems`[PROJECT_COMPANY_NAME]** -NL- Project : **`Project Status`[PROJECT_TITLE]** -NL- URL : http://projectstatus.dev.sapient-inc.com/index.php/auth/login -NL- Role : Software Developer -NL- Duration : Feb 2013 – Aug 2013 -NL- Team Size : 5 -NL- Description: -NL- Project status reporting is a regular, formalized report on project progress against the project plan. Its -NL- purpose is to effectively and efficiently communicate project status at regular intervals to project -NL- stakeholders. Good, consistent, project status reporting helps guard against unexpected surprises to -NL- project sponsors and other stakeholders. It keeps project stakeholders informed of critical aspects of -NL- project health such as schedule, issues, scope, resources, cost, etc and allows management to take action -NL- to address project issues and risks. Project status reports can also be used to provide a documented -NL- history of the project. This can then be applied to strengthen lessons learned and to evaluate, review, and -NL- learn from how the project succeeded and where it may have had difficulties. -NL- Roles and Responsibilities: -NL-  Responsible for developing widgets. -NL-  Involved in the designing charts with extjs. -NL-  Involved in client side validations. -NL-  Implementation of code in MVC. -NL-  Involved in understanding of requirements, design and development -NL- of the project. -NL- **`Personal Dossier`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth : 19-09-1981 -NL- Phone Number : **`+91-8125453961`[PHONES_PHONE]** -NL- Email ID : **`venkatnattuva9@gmail.com`[EMAILS_EMAIL]** -NL- 